<?php
require'fun.php';
require'f_conectare.php';
conectare('taietor de lemne (triburile v2)','triburile2-taietor-de-lemne');
$titlu='Taietor de lemne - Triburile V2';
$back[1]='<a href="/triburile2">'.img('triburile.gif',1).'Triburi</a>';
require'f_sus.php';
require'triburile2_nicu1.php';
$msg='';
$proces=$conn->query('SELECT COUNT(*)FROM`t2_procese`WHERE`tip`="2"&&`de`="'.$de.'"')->fetch_row();
if($proces[0]<2)
{
if($go!='')
{
$ggo=$conn->query('SELECT COUNT(*)FROM`t2_lemn`WHERE`lvl`="'.$go.'"')->fetch_row();
$ggoe=$conn->query('SELECT`lvllmn`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$fot=$ggoe[0]+1;
$fe=$conn->query('SELECT COUNT(*)FROM`t2_procese`WHERE`de`="'.$de.'"&&`tip`="2"')->fetch_row();
if($fe[0])
{
$fe=$conn->query('SELECT`lvl`FROM`t2_procese`WHERE`de`="'.$de.'"&&`tip`="2"')->fetch_row();
$fot=$fe[0]+1;
}
if($ggo[0]&&($go==$fot))
{
$ggo=$conn->query('SELECT`lmn`,`arg`,`ptr`,`timp`,`pop`FROM`t2_lemn`WHERE`lvl`="'.$go.'"')->fetch_row();
$ggo1=$conn->query('SELECT`lmn`,`arg`,`ptr`,`pop`,`pct`,`poptot`,`lvlfrm`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$poptot=$conn->query('SELECT`cant`FROM`t2_ferma`WHERE`lvl`="'.$ggo1[6].'"')->fetch_row();
$lmn=$ggo1[0]-$ggo[0];
$arg=$ggo1[1]-$ggo[1];
$ptr=$ggo1[2]-$ggo[2];
$pop=$ggo1[3]+$ggo[4];
$pct=$ggo1[4]+$ggo[4];
if($poptot[0]<$pop)
$msg.=$div[7].'Nu poți avea în sat mai mult de <strong>'.$pop.'</strong> persoane!<br />Ridica nivelul fermei!'.$div[0];
elseif($ggo1[0]<$ggo[0])
$msg.=$div[7].'Nu ai destul lemn!'.$div[0];
elseif($ggo1[1]<$ggo[1])
$msg.=$div[7].'Nu ai destula argila!'.$div[0];
elseif($ggo1[2]<$ggo[2])
$msg.=$div[7].'Nu ai destul fier!'.$div[0];
else
{
$no1=$conn->query('UPDATE`t2_membrii`SET`lmn`="'.$lmn.'",`arg`="'.$arg.'",`ptr`="'.$ptr.'",`pop`="'.$pop.'",`pct`="'.$pct.'"WHERE`de`="'.$de.'"');
$toy=$conn->query('SELECT COUNT(*)FROM`t2_procese`WHERE`de`="'.$de.'"')->fetch_row();
if($toy[0])
{
$topt=$conn->query('SELECT`timp`,`data`FROM`t2_procese`WHERE`de`="'.$de.'"ORDER BY`id`DESC LIMIT 1 ')->fetch_row();
$timpe=$topt[0]+$topt[1];
}
else
$timpe=$_SERVER['REQUEST_TIME'];
$no=$conn->query('INSERT INTO`t2_procese`SET`de`="'.$de.'",`tip`="2",`data`="'.$timpe.'",`timp`="'.$ggo[3].'",`lvl`="'.$go.'"');
if($no1&&$no)
$msg=$div[6].'Comanda acceptata!'.$div[0];
else
$msg=$div[7].'Eroare!'.$div[0];
}
}
else
$msg=$div[7].'Eroare!'.$div[0];
}
}
echo$msg;
require'triburile2_nicu2.php';
echo$div[4].'<img src="'.$domenii_statice[2].'triburile2/wood1.png" alt="" />Taietor de lemne (nivel '.$if[1].')'.$div[5].$div[10].'Taietorii de lemne lucreaza în paduri dese în afară satului tau, taie lemnul masiv, necesar pentru constructia coloniei tale cat și pentru inarmarea ostirii tale.<br />Cu cat e mai inalt nivelul de dezvoltare a taietorilor de lemne, cu atat mai mult lemn poate fi produs.'.$div[0];
$lvllmn=$if[1];
$fe=$conn->query('SELECT COUNT(*)FROM`t2_procese`WHERE`de`="'.$de.'"&&`tip`="2"')->fetch_row();
if($fe[0])
{
$fe=$conn->query('SELECT`lvl`FROM`t2_procese`WHERE`de`="'.$de.'"&&`tip`="2"ORDER BY`id`DESC LIMIT 1')->fetch_row();
$lvllmn=$fe[0];
}
$topu=$conn->query('SELECT`cant`FROM`t2_lemn`WHERE`lvl`="'.$if[1].'"')->fetch_row();
$topu1=$conn->query('SELECT`cant`FROM`t2_lemn`WHERE`lvl`="'.++$lvllmn.'"')->fetch_row();
if($lvllmn==$conn->query('SELECT COUNT(*)FROM`t2_lemn`')->fetch_row()[0])
{
echo$div[6].'Cladire complet terminata!<br />Productie actuala <strong>'.$topu[0].'</strong> unitati/ora'.$div[0];
}
else
{
echo$div[7].'<img src="'.$domenii_statice[2].'triburile2/lemne.png" alt="lemn" />Productie actuala: <strong>'.$topu[0].'</strong> unitati/ora<strong> - </strong><img src="'.$domenii_statice[2].'triburile2/lemne.png" alt="lemn" />productie la nivelul '.$lvllmn.': <strong>'.$topu1[0].'</strong> unitati/ora<br />Nivelul '.$lvllmn.' costă: ';
$lvl=$conn->query('SELECT`lmn`,`arg`,`ptr`,`pop`,`timp`FROM`t2_lemn`WHERE`lvl`="'.$lvllmn.'"')->fetch_row();
require'f_ramas.php';
echo'<img src="'.$domenii_statice[2].'triburile2/lemne.png" alt="lemn" />'.$lvl[0].'<img src="'.$domenii_statice[1].'triburile2/argila.png" alt="argile" />'.$lvl[1].'<img src="'.$domenii_statice[1].'triburile2/piatra.png" alt="piatra" />'.$lvl[2].'<br /><img src="'.$domenii_statice[2].'triburile2/populatie.png" alt="populatie" />'.$lvl[3].'<img src="'.$domenii_statice[2].'triburile2/clock.png" alt="ceas" />'.ramas($lvl[4]).$div[0];
$ggo=$conn->query('SELECT`lmn`,`arg`,`ptr`,`timp`,`pop`FROM`t2_lemn`WHERE`lvl`="'.$lvllmn.'"')->fetch_row();
$ggo1=$conn->query('SELECT`lmn`,`arg`,`ptr`,`pop`,`pct`,`poptot`FROM`t2_membrii`WHERE`de`="'.$de.'"')->fetch_row();
$lmn=$ggo1[0]-$ggo[0];
$arg=$ggo1[1]-$ggo[1];
$ptr=$ggo1[2]-$ggo[2];
$pop=$ggo1[3]+$ggo[4];
$pct=$ggo1[4]+$ggo[4];
$te=$conn->query('SELECT COUNT(*)FROM`t2_procese`WHERE`de`="'.$de.'"')->fetch_row();
$fef=$conn->query('SELECT COUNT(*)FROM`t2_procese`WHERE`de`="'.$de.'"&&`tip`="2"')->fetch_row();
if($ggo1[0]>$ggo[0]&&$ggo1[1]>$ggo[1]&&$ggo1[2]>$ggo[2])
{
if($fef[0]>=2)
echo$div[7].'Nu poți da mai mult de 2 nivele de constructii pe aceeas cladire!'.$div[0];
elseif($te[0]<2||$if[13]==1)
{
if($te[0]<=7)
{
if($lvllmn-1==0)
echo$div[1].'<a href="/triburile2-taietor-de-lemne/tip/'.$lvllmn.'">Construire</a>'.$div[0];
else
echo$div[1].'<a href="/triburile2-taietor-de-lemne/tip/'.$lvllmn.'">Extindere nivel '.$lvllmn.'</a>'.$div[0];
}
else
echo$div[7].'Numarul maxim de constructii pe cont Premium!'.$div[0];
}
elseif($te[0]>=2)
echo$div[7].'Trebuie să ai cont Premium pentru mai mult de 2 nivele de constructie!'.$div[0];
}
else
echo$div[7].'Nu ai suficienta materie!'.$div[0];
}
require'f_jos.php';